Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1368024 - [extras-rhel-7.2.7] Docker should avoid blob re-uploads
Summary: [extras-rhel-7.2.7] Docker should avoid blob re-uploads
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks: 1358536
TreeView+ depends on / blocked
 
Reported: 2016-08-18 07:14 UTC by Michal Minar
Modified: 2019-03-06 01:56 UTC (History)
15 users (show)

Fixed In Version: docker-1.10.3-46.el7.11.x86_64
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1358536
Environment:
Last Closed: 2016-09-15 08:30:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1827 normal SHIPPED_LIVE docker bug fix update 2016-09-15 11:57:19 UTC

Comment 1 Michal Minar 2016-08-18 07:18:01 UTC
To summarize, we'd like Docker, during a push of blob, to:

1. It could try to mount from each remembered association before falling back to full blob upload.
2. Verify if the blob really doesn't exist in the source repository before forgetting its association.
3. Stat() the target repository even if there's no remembered association between blob and the destination repository.

Comment 2 Michal Minar 2016-08-18 15:10:27 UTC
Partial and simple solution is at https://github.com/projectatomic/docker/pull/183

We should propose a more thorough implementation covering comment 1 before submitting upstream though.

Comment 3 Lokesh Mandvekar 2016-08-20 09:45:23 UTC
Moving bug to docker..

Comment 4 Daniel Walsh 2016-08-20 09:52:45 UTC
Michal should we have this patch in docker-1.12 also?

Comment 8 Mike Fiedler 2016-08-23 12:37:10 UTC
Lokesh,  Where can we pick up the new build?   The latest version on the Openshift QE mirror is 	docker-1.10.3-46.el7.10.x86_64

Comment 10 Mike Fiedler 2016-08-23 17:11:36 UTC
Provided sdodson with URL, but documenting here, too:

https://mirror.openshift.com/enterprise/rhel/dockerextra/x86_64/os/

Comment 16 errata-xmlrpc 2016-09-15 08:30:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1827.html


Note You need to log in before you can comment on or make changes to this bug.